<?php

// echo 'ABCDE' . '<br />' ;
// exit;

$strContractService = System::GetValue('contract_service',null,'string');
//$strRange = System::GetValue('range',null,'string');

$strPageId = System::GetValue('pageid',null,'string');
$strDepartmentId = System::GetValue('departmentId',null,'string');

$objDepartment = HmisRefDepartment::LoadById($strDepartmentId);

$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

// $intResepObat = 0 ;
// $intResepAlkes = 0 ;
// $intResepBhp = 0 ;
// $intResepCampuran = 0 ; 

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');



$tableName = 'Activity';

$arrCondition = array();
$arrCondition[] = QQ::Equal(QQN::$tableName()->State,'A');
$arrCondition[] = QQ::GreaterOrEqual(QQN::$tableName()->ActivityDateTime, $objMinDate);
$arrCondition[] = QQ::LessOrEqual(QQN::$tableName()->ActivityDateTime, $objMaxDate);
$arrCondition[] = QQ::Equal(QQN::$tableName()->ActivityName, 'PEMBELIAN-LANGSUNG');
$arrCondition[] = QQ::Equal(QQN::$tableName()->Actor, 'FAR');

$condition = QQ::AndCondition($arrCondition);
$totalData = $tableName::QueryCount($condition);
$arrReturn['recordsTotal'] = $totalData;
$arrReturn['recordsFiltered'] = $totalData;

$objClauses = array();

$objClauses[] = QQ::OrderBy(QQN::$tableName()->Id,'desc');

$arrData = array();





$objDb = QApplication::$Database[1];
    $strSQL = "
        SELECT detail.product_code AS product_code, detail.product_name AS product_name,detail.supplier_name AS supplier_name, detail.on_timeline AS on_timeline, detail.conv_factor AS conv_factor, SUM(detail.quantity) AS quantity , SUM(detail.conv_factor * detail.quantity) AS quantity_terkecil, detail.conv_factor AS conv_factor, detail.price  AS price, detail.discount AS discount, detail.ppn AS ppn
        FROM hmis_product_transaction_direct_purchase AS detail
        LEFT JOIN activity ON detail.activity_id = activity.id
        WHERE
        detail.state != 'D'
	AND product_id = '$objGet->idObat'
        AND activity.state != 'D'
            AND (
                detail.activity_department_name = 'GUDANG FARMASI'
                AND activity.activity_date_time BETWEEN '" . $objMinDate->PhpDate('Y-m-d H:i:s') . "' AND '" . $objMaxDate->PhpDate('Y-m-d H:i:s') . "'
            )
       GROUP BY detail.product_code, detail.product_name, detail.supplier_name, detail.on_timeline, detail.conv_factor, detail.discount, detail.ppn, detail.conv_factor, detail.price
    ";
    
$objDbResult = $objDb->Query($strSQL);
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}

    </style>

</head>

<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
    </a>
</div>


<div class="container">

<br><br>
<button onclick="ubahExcel()">Export Excel</button>
<br><br>

<table id="tableLaporan" class="table">
    <thead>
      <tr>
            <th colspan="11">LAPORAN DETAIL PEMBELIAN</th>
      </tr>
      <tr>
            <th></th>
            <th>Tanggal:</th>
            <th colspan="9"><?= $objGet->range ?></th>
      </tr>
      <tr>
        <th></th>
	<th>Tanggal</th>
        <th>Kode</th>
        <th>Nama Produk</th>
	<th>Nama Supplier</th>
        <th>Qty(box)</th>
        <th>Isi Per Box</th>
        <th>Qty(Total)</th>
        <th>Harga/Box</th>
        <th>Harga/Pcs</th>
        <th>Total Harga</th>
      </tr>
    </thead>
    <tbody>
<?php
$nomorUrut = 1 ;
$subTotalQty = 0;
        $subTotalJumlahHargaSatuan = 0;
while ($row = $objDbResult->FetchArray()) {
$subTotalQty += ($row['quantity'] * $row['conv_factor']);

    $persenDiskon = $row['discount'] ? $row['discount'] : 0;
    $persenPPN = $row['ppn'] ? $row['ppn'] : 0;

    $conv = $row['conv_factor'] ? $row['conv_factor'] : 1;
    $hargaAwalSatuan = $row['price'] / $conv;
    $rpDiskon = $hargaAwalSatuan * $persenDiskon / 100;
    $hargaSatuanTerdiskon = $hargaAwalSatuan - $rpDiskon;
    $rpPPN = $hargaSatuanTerdiskon * $persenPPN / 100;
    $hargaSatuanJadi = $hargaSatuanTerdiskon + $rpPPN;
    $totalHargaSatuan = round($hargaSatuanJadi,2) * $conv;
    $subTotalJumlahHargaSatuan += ($totalHargaSatuan * $row['quantity']);


?>

<tr>
    <td><?= $nomorUrut ?></td>
    <td><?= date('d-m-Y H:i:s', strtotime($row['on_timeline'])) ?></td>
    <td><?= $row['product_code'] ?></td>
    <td><?= $row['product_name'] ?></td>
    <td><?= $row['supplier_name'] ?></td>
    <td align="right"><?= str_replace('.',',',$row['quantity']) ?></td>
    <td align="right"><?= str_replace('.',',',$conv) ?></td>
    <td align="right"><?= str_replace('.',',',$row['quantity_terkecil'] ? $row['quantity_terkecil'] : $row['quantity'] ) ?></td>
    <td align="right"> <?= number_format($totalHargaSatuan, 2, ',', '.') ?> </td>
    <td align="right"> <?= number_format($hargaSatuanJadi, 2, ',', '.') ?> </td>
    <td align="right"><?= number_format($totalHargaSatuan * $row['quantity'], 2, ',', '.') ?></td>
</tr>
<?php
$nomorUrut++;
    } 

?>
<tr>
            <td></td>
            <td></td>
            <td><b>Sub Total</b></td>
            <td></td>
            <td></td>
            <td></td>
	    <td></td>
            <td style="text-align: right"><?= $subTotalQty ?></td>
            <td></td>
	    <td></td>
            <td style="text-align: right"><?= number_format($subTotalJumlahHargaSatuan,2,",",".") ?></td>
        </tr>


</tbody>
</table>
</div>



 


<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/jquery.tableToExcel.js"></script>
<script>
function ubahExcel() {
    $('#tableLaporan').tblToExcel({
        complete: function () {
            // do something
            return true;
        }
    });
}
</script>
</body>
</html>
