<?php
$pageTitle = 'LAPORAN DETAIL PEMBELIAN';
require(__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
$objContractService = HmisRefContractService::LoadAll(QQ::OrderBy(QQN::HmisRefContractService()->SortField));
$arrContractService = array();
foreach($objContractService as $item) {
    $arrContractService[$item->Id] = array('Name' => $item->Name, 'Code' => $item->Code);
}
?>



<div class="row">
<div class="col-md-1">
</div>

<div class="col-md-10">
    <!-- general form elements -->
    <div class="box box-primary" style="margin-top:15px">
        <div class="box-header with-border">
            <?php
            //$objDepartment = SystemDepartment::LoadById($objGet->departmentId);
            ?>
            <h3 class="box-title">LAPORAN DETAIL PEMBELIAN</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form role="form">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-sm-3">
                                Tanggal
                            </div>
                            <div class="col-sm-9">
                                <div id="rangeWaktu" class="col-sm-12" style="background: #fff; cursor: pointer; padding: 5px 0; border: 1px solid #ccc;">
                                    <i style="margin-left: 10px" class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                                    <span></span> <b class="caret"></b>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                                
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-sm-3">
                                Obat
                            </div>
                            <div class="col-sm-9">
                                <select name="obat" id="obat" class="form-control obat" style="width: 100%">
                                    <option value="">-- Pilih Obat --</option>
                                </select>
                            </div>
                        </div>         
                    </div>
                </div>

                
            </div> 
            <!-- /.box-body -->

            <div class="box-footer">
                <button id="btnKirim" type="submit" class="btn btn-primary">Lihat</button>
            </div>
        </form>
    </div>
</div>


<div class="col-md-1">
</div>
</div>



<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>

<script>
$(document).ready(function() {
    var startRange = '<?= date('d.m.Y') ?> - <?= date('d.m.Y') ?>';
    $('#rangeWaktu span').html(startRange);


    var ContractService = <?= json_encode($arrContractService) ?>;
    var selectContractService = $('#view_main_contract_service');
    selectContractService.empty().append('<option value="">-- Semua Cara Bayar --</option>');
    for (var k in ContractService) {
        selectContractService.append('<option value="'+k+'">'+ContractService[k].Name+'</option>');
    }
    selectContractService.trigger('chosen:updated');
    selectContractService.on('change', function(e) {
        var teks = $('option:selected', this).text();
        // buka RAWAT INAP WAJIB ISI
        if (teks.indexOf('JAMKESDA') >= 0 && _group != 'RAJAL-IGD') {
            jamsos.openJAMKESDA();
        } else if (teks.indexOf('KOTA') >= 0) {
            //jamsos.openJAMKESDA();
        } else if (teks.indexOf('BPJS') >= 0) {
            //jamsos.openBPJS();
        }
    });


    $(function() {
        $('#rangeWaktu').daterangepicker({
            format: 'DD/MM/YYYY',
            dateLimit: { days: 60 },
            showDropdowns: true,
            showWeekNumbers: true,
            timePicker: false,
            timePickerIncrement: 1,
            timePicker12Hour: true,
            ranges: {
            'Hari ini': [moment(), moment()],
            'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
            '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
            'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
            'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        opens: 'left',
        drops: 'down',
        buttonClasses: ['btn', 'btn-sm'],
        applyClass: 'btn-primary',
        cancelClass: 'btn-default',
        separator: ' to ',
        locale: {
            applyLabel: 'Submit',
            cancelLabel: 'Cancel',
            fromLabel: 'From',
            toLabel: 'To',
            customRangeLabel: 'Custom',
            daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm','Sb'],
            monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
            firstDay: 1
        }
        }, 
        function(start, end, label) {
            var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
                $('#rangeWaktu span').html(newRange);
                // alert( 'new range - ' + newRange );
        });
    }); 
    if(strDepartmentName == "APOTIK RAWAT INAP"){
        $('#filterRuangan').show();
    }else{
        $('#filterRuangan').hide();
    }

});
$(document).off('click', '#btnKirim').on('click', '#btnKirim', function () {
    console.log($('#view_main_contract_service').val()+'##'+strPageId+'##'+$('#rangeWaktu span').html());
    var rangeWaktu = $('#rangeWaktu span').html();
    var idObat =  $('#obat').val();
    if(validasi())
    {
        console.log("kirim");
        var url = '<?= QApplication::UrlCreator('gudang-farmasi/report-pembelian')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&range='+rangeWaktu+'&idObat='+idObat;
        openInNewTab(url);
    }
});

$('.obat').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , noresetSearch: true
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchObat/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini = $(this);
            var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
            $(id).text(ini.val());
        });
    }).trigger('change');


function validasi() {
    if(! $('#rangeWaktu span').html()){
        jNotification('Belum mengisi tanggal',function(){ $("#rangeWaktu").focus()});
        return false ;
    }
    return true;
    if(!$("#view_main_contract_service").val() ){
        jNotification('Belum memilih cara bayar',function(){ $("#view_main_contract_service").focus()});
        return false ;
    }

    return true;
}

function openInNewTab(url) {
  var win = window.open(url, '_blank');
  win.focus();
}

</script>
