<?php

// echo 'ABCDE' . '<br />' ;
// exit;

$strContractService = System::GetValue('contract_service',null,'string');
//$strRange = System::GetValue('range',null,'string');

$strPageId = System::GetValue('pageid',null,'string');
$strDepartmentId = System::GetValue('departmentId',null,'string');

$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

// $intResepObat = 0 ;
// $intResepAlkes = 0 ;
// $intResepBhp = 0 ;
// $intResepCampuran = 0 ;

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');


$objDb = QApplication::$Database[1];
    $strSQL = "
        SELECT 
        hmis_product_transaction_stok_opname.activity_department_code AS activity_department_code,
        hmis_product_transaction_stok_opname.activity_department_name AS activity_department_name,
        hmis_product_transaction_stok_opname.activity_on_partition AS activity_on_partition,
        hmis_product_transaction_stok_opname.product_name AS product_name,
        hmis_product_transaction_stok_opname.product_description AS product_description,
        hmis_product_transaction_stok_opname.product_id AS product_id,
        hmis_product_transaction_stok_opname.quantity AS quantity,
        hmis_product_transaction_stok_opname.unit_package AS unit_package,
        hmis_product_transaction_stok_opname.product_code AS product_code,
        hmis_product_transaction_stok_opname.create_time AS create_time,
        hmis_product_transaction_stok_opname.ip_address AS ip_address,
        system_user.full_name AS full_name
        FROM hmis_product_transaction_stok_opname
        LEFT JOIN system_user
        ON hmis_product_transaction_stok_opname.create_user = system_user.id
        WHERE
        hmis_product_transaction_stok_opname.state != 'D'
        AND hmis_product_transaction_stok_opname.transaction_name = 'HIBAH'
        AND ( hmis_product_transaction_stok_opname.create_time BETWEEN '" . $objMinDate->PhpDate('Y-m-d H:i:s') . "' AND '" . $objMaxDate->PhpDate('Y-m-d H:i:s') . "'
              OR hmis_product_transaction_stok_opname.activity_on_partition BETWEEN '" . $objMinDate->PhpDate('Y-m-d H:i:s') . "' AND '" . $objMaxDate->PhpDate('Y-m-d H:i:s') . "'
            )
    ";
    if($objGet->DepartmentCode){
        $strSQL .= " AND hmis_product_transaction_stok_opname.activity_department_code = '$objGet->DepartmentCode'";
    }
    if($objGet->sorting == "nama"){
        $strSQL .= " ORDER BY hmis_product_transaction_stok_opname.product_name, hmis_product_transaction_stok_opname.activity_department_name, hmis_product_transaction_stok_opname.activity_on_partition, hmis_product_transaction_stok_opname.create_time";
    }elseif($objGet->sorting == "waktu"){
        $strSQL .= " ORDER BY hmis_product_transaction_stok_opname.create_time";
    }
    
// echo $strSQL . '<br />'; exit ;
$objDbResult = $objDb->Query($strSQL);
// echo $objDbResult->CountRows() . '<br />';;
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}

    </style>

</head>

<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
    </a>
</div>


<div class="container">

<br><br>
<button onclick="ubahExcel()">Export Excel</button>
<br><br>

<table id="tableLaporan" class="table">
    <thead>
      <tr>
            <th colspan="11">HISTORY HIBAH</th>
      </tr>
      <tr>
            <th colspan="11">Tanggal: <?= $objGet->range ?></th>
      </tr>
      <tr>
        <th>No</th>
        <th>Depo</th>
        <th>Kode</th>
        <th>Nama Produk</th>
        <th>Produk Desc</th>
        <th>Satuan</th>
        <th>Qty</th>
        <th>Tgl Hibah</th>
        <th>Waktu Entri</th>
        <th>IP</th>
        <th>User</th>
      </tr>
    </thead>
    <tbody>
<?php
$nomorUrut = 1 ;
while ($row = $objDbResult->FetchArray()) {
    // $objProduct = HmisRefProduct::LoadById($row['product_id']);
?>

<tr>
    <td><?= $nomorUrut ?></td> 
    <td><?= $row['activity_department_name'] ?></td>
    <td><?= $row['product_code'] ?></td>
    <td><?= $row['product_name'] ?></td>
    <td><?= $row['product_description'] ?></td>
    <td><?= $row['unit_package'] ?></td>
    <td><?= $row['quantity'] ?></td>
    <td><?= $row['activity_on_partition'] ?></td>
    <td><?= $row['create_time'] ?></td>
    <td><?= $row['ip_address'] ?></td>
    <td><?= $row['full_name'] ?></td>
</tr>

<?php
$nomorUrut++;
}
?>
</tbody>
</table>
</div>


<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/jquery.tableToExcel.js"></script>
<script>
function ubahExcel() {
    $('#tableLaporan').tblToExcel({
        complete: function () {
            // do something
            return true;
        }
    });
}
</script>
</body>
</html>
